<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;

use App\Models\Album;
use App\Models\AcademicCategory;
use App\Models\Photo;
use Illuminate\Http\JsonResponse;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class AcademicCategoryController extends Controller
{
    public function index(){
        $data = AcademicCategory::get();
        return view('backend.academicCategory.index',['data' => $data]);
    }

    // public function show(){
    //     return view('backend.academicCategory.show');
    // }

    public function create(){
        return view('backend.academicCategory.add');
    }

    public function store(Request $request){
        $data = $request->validate([
            'title' => 'required|string|max:255',
            'sort_order' => ''
        ]);
        
        $data['sort_order'] = request()->sort_order??1;
        if (request()->has('active')) {
            $data['active'] = @request()->active?'1':'0';
        }else{
            $data['active'] = 0;
        }

        AcademicCategory::create($data);
        return redirect()->route('admin.academic-categories.index')->with('success','Category created successfully.');
    }

    public function edit(academicCategory $academicCategory)
    {
        return view('backend.academicCategory.edit',['data' => $academicCategory]);
    }

    public function update(Request $request,$id)
    {
        $data = $request->validate([
            'title' => 'required|string|max:255',
            'sort_order' => ''
        ]);
        $data['sort_order'] = request()->sort_order??1;

        if (request()->has('active')) {
            $data['active'] = @request()->active?'1':'0';
        }else{
            $data['active'] = 0;
        }


        AcademicCategory::where('id',$id)->update($data);
        return redirect()->route('admin.academic-categories.index')->with('success','Category has been updated successfully.');
        // return redirect()->route('manageAlbums')->with('success', 'Album updated successfully');
    }

    public function destroy($id)
    {
        AcademicCategory::where('id',$id)->delete();

        return redirect()->route('admin.academic-categories.index')->with('success','Category has been deleted successfully.');

    }

    // public function getAlbumImages($albumId){
    //     $photos = Photo::where('album_id',$albumId)->orderBy('clickedDate', 'asc')->get();
    //     $album = AcademicCategory::where('id',$albumId)->first();
    //     return view('photos.academicCategory',compact('photos','albumId','album'));
    // }


    // public function getAllAlbums():JsonResponse{
    //     $albums = AcademicCategory::all();
    //     return response()->json(['albums'=>$albums]);
    // }

    // public function getAlbumWithPhotos($albumId):JsonResponse{
    //     $album = AcademicCategory::with('photos')->find($albumId);
    //     if(!$album){
    //         return response()->json(['error'=>'Album not found']);
    //     }
    //     return response()->json(['album'=>$album]);
    // }
}
