<?php

namespace App\Http\Controllers\Backend;

use App\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Redirect;
use Illuminate\View\View;
use App\Models\Chairman;
use Illuminate\Support\Facades\Storage;
use App\Traits\UploadTrait;
use Illuminate\Contracts\Cache\Store;

class ChairmanController extends Controller
{

    use UploadTrait;

    private $fileUploadLocation = '/uploads/chairman/';
        /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(): View
    {
        $data['data'] = Chairman::first();
        if (!empty($data['data'])) {
            $data['action'] = "Edit";
        } else {
            $data['action'] = "Add";
        }
        return view('backend.chairman.formChairman', $data);
    }

   

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //tags
        $data['action'] = "Add";
        return view('admin.chairman.formChairman', $data);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $data = request()->validate([
            'image' => 'required|image|mimes:jpeg,jpg,png,webp',
            'quote'=>'required',
            'description'=>'required',
            'name'=>'required',
            'designation'=>'required',
        ]);

        if (request()->hasFile('image')) {
            $data['image'] = $this->uploadOne(request()->file('image'), $this->fileUploadLocation); 
        }

        Chairman::create($data);

        //Article_tag::insert($insert);
        // if (request()->has('again')) {
        //     return redirect('/myadmin/Chairman/addAboutUs')->with('success', 'Data has been inserted.');
        // } else {
                return redirect()->route('admin.chairman.index')->with('success','About us page saved successfully.');
        // }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {

    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //tags
        $data['data'] = Chairman::first();

        $data['action'] = "Edit";

        return view('backend.chairman.formChairman', $data);

    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $data = request()->validate([
            'quote'=>'required',
            'description'=>'required',
            'name'=>'required',
            'designation'=>'required',
        ]);

        if (request()->hasFile('image')) {
            $data['image'] = $this->uploadOne(request()->file('image'), $this->fileUploadLocation);
            // if($request->has('old_image')){
            //     if(is_file(Storage::url($request->old_image)))
            //     Storage::delete($request->old_image);
            // }
        }

        $update = Chairman::where('id', $id)->update($data);
        return redirect()->route('admin.chairman.index')->with('success','About Us page saved successfully.');

        // if (request()->has('again') && request()->input('again') == '1') {
        //     return redirect('/myadmin/Chairman/editAboutUs/' . $id)->with('success', 'Data has been Updated.');
        // } else {
        //     return redirect('/myadmin/Chairman')->with('success', 'Data has been Updated.');
        // }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy()
    {   
        
    }
}
