<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\Book;
use Illuminate\Http\Request;

class BookController extends Controller
{
    public function index()
    {
        $data['data'] = Book::get();
        return view('backend.book.index', $data);
    }

    public function store(Request $request)
    {
        // dd($request->all());
        $data = request()->validate([
            'student_name' => 'required',
            'email' => 'required|email',
            'class' => 'required',
            'phone' => 'required',
        ]);
        // dd($data);
        Book::create($data);
        return redirect()->back()->with('success', 'You booked your seat successfully.');
    }

    public function show( $id)
    {
        $book = Book::find($id)->first();
        // dd($book);
        return view('backend.book.show',['data' => $book]);
    }

    public function destroy($id)
    {
        //     if(file_exists(Storage::url($book->image)))
        //     Storage::delete($book->image);
        $book = Book::find($id)->first();

        $book->delete();
        return redirect()->route('admin.book.index')->with('success','Book has been deleted successfully.');
    }
}

