<?php

namespace App\Http\Controllers\Frontend;

use App\Http\Controllers\Controller;
use App\Models\Contact;
use Illuminate\Http\Request;

class ContactController extends Controller
{
    //
    public function index()
    {
        $data['data'] = Contact::get();
        return view('backend.contact.index', $data);
    }

    public function store(Request $request)
    {
        // dd($request->all());
        $data = request()->validate([
            'fullname' => 'required',
            'email' => 'required|email',
            'subject' => 'required',
            'message' => 'required',
        ]);
        // dd($data);
        Contact::create($data);
                return redirect()->route('frontend.contact')->with('success','Your message sent successfully.');
    }

    public function show( $id)
    {
        $contact = Contact::find($id)->first();
        // dd($contact);
        return view('backend.contact.show',['data' => $contact]);
    }

    public function destroy($id)
    {
        //     if(file_exists(Storage::url($contact->image)))
        //     Storage::delete($contact->image);
        $contact = Contact::find($id)->first();

        $contact->delete();
        return redirect()->route('admin.contact.index')->with('success','Contact has been deleted successfully.');
    }
}
