<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Album extends Model
{
    protected $table='albums';

    protected $fillable = [
        'title',
        'slug',
        'upload_date',
        'active',
        'sort_order'
    ];

    public function photos(){
        return $this->hasMany(Photo::class,'album_id','id')->orderBy('is_cover','DESC')->orderBy('sort_order','ASC');
    }

    public function coverPhoto()
    {
        return $this->photos()->where('is_cover',1);
    }
}
