@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.book.index')}}">Book</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>View Book</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>View Book</strong><span class="small ms-1">Book</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">

                            <div class="p-3 preview">
                                <div class="row">

                                    <div class="">
                                        <div class="mb-3">
                                            <label class="form-label" for="student_name">Student Name</label>
                                            @error('student_name')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="student_name" type="text" name="student_name" placeholder="Full Name " value="{{@$data->student_name}}" disabled="">
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label" for="class">Class</label>
                                            @error('class')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="class" type="text" name="student_name" placeholder="Class " value="{{@$data->class}}" disabled="">
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label" for="name">Email</label>
                                            @error('email')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="email" type="text" name="email" placeholder="Email " value="{{@$data->email}}" disabled="">
                                        </div>
                                        <div class="mb-3">
                                            <label class="form-label" for="name">Phone</label>
                                            @error('phone')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="form-control" id="phone" type="text" name="phone" placeholder=" Subject " value="{{@$data->phone}}" disabled="">
                                        </div>
                                    </div>


                                </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
@endsection
