@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.facility.index')}}">Facility</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Edit Facility</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>Edit Facility</strong><span class="small ms-1">Facility</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.facility.update',$data->id) }}" method="post" enctype="multipart/form-data">
                            @method('PUT')
                            @csrf
                                <div class="p-3 preview">
                                    <div class="row">

                                        <div class="">
                                            <div class="mb-3">
                                                <label class="form-label" for="name">Title</label>
                                                @error('name')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="name" type="text" name="name" placeholder="Faq Question " value="{{@$data->name}}">
                                            </div>

                                        </div>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="description">Description</label>
                                        @error('description')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <textarea class="form-control" name="description" id="description" rows="5" required="">{{@$data->description}}</textarea>
                                    </div>
                                    {{-- <div class="mb-3">
                                        <label class="form-label" for="sort_order">Sort Order</label>
                                        @error('sort_order')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{@$data->sort_order}}" placeholder="Sorting Order">
                                    </div>
                                    <div class="form-check mb-3">
                                        <label class="form-check-label" for="active">
                                            Publish <span style="color:green;">If checked the team will be published.</span>
                                        </label>
                                        <input class="form-check-input" name="active" type="checkbox" @if(@$data->active) checked="" @endif value="1" id="active">
                                    </div> --}}
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    document.querySelectorAll('textarea').forEach(editor => {
        ClassicEditor
            .create(editor,{
                minHeight: '200px'
            })
            .catch(error => {
                console.error(error);
        });
    });
</script>
@endsection
