@extends('backend.layouts.master')

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>

        <div class="card mb-4">
            <div class="card-header"><strong>Faqs</strong><span class="small ms-1">List of Faqs</span>
                <a class="btn btn-primary btn-sm float-end" href="{{route('admin.faqs.create')}}">
                    <svg class="icon me-2">
                        <use xlink:href="{{ asset('backend/icons/free.svg#cil-plus') }}"></use>
                    </svg><strong>Add</strong>
                </a>
            </div>
            <div class="card-body">
                <div class="example">
                    <div class="tab-content rounded-bottom">
                        <div class="p-3 preview">
                            <table class="table table-striped" id="dataTable">
                                <thead>
                                    <tr>
                                        <th scope="col">#</th>
                                        <th scope="col">Question</th>
                                        <th scope="col">Description</th>
                                        <th scope="col">Uploaded date</th>
                                        <th scope="col">Sort Order</th>
                                        <th scope="col">Active</th>
                                        <th scope="col"><span class="float-end">Action</span></th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($data as $k=>$v)
                                    <tr>
                                        <th scope="row">{{++$k}}</th>
                                        <td>{{$v->question}}</td>
                                        <td>{!!Str::words(strip_tags($v->description),20,'...')!!}</td>
                                        <td>{{$v->created_at->format('Y-M-d')}}</td>
                                        <td>{{$v->sort_order}}</td>
                                        <td>@if(@$v->active) Yes @else No @endif</td>
                                        <td>
                                            <form action="{{ route('admin.faqs.destroy',$v->id) }}" method="Post">
                                                @csrf
                                                @method('DELETE')
                                                <button class="btn btn-danger btn-sm float-end" style="margin-right:2px;">
                                                    <svg class="icon">
                                                        <use xlink:href="{{ asset('backend/icons/free.svg#cil-trash') }}"></use>
                                                    </svg>
                                                </button>
                                            </form>
                                            <a class="btn btn-warning btn-sm float-end" style="margin-right:2px;" href="{{route('admin.faqs.edit',$v->id)}}">
                                                <svg class="icon">
                                                    <use xlink:href="{{ asset('backend/icons/free.svg#cil-pencil') }}"></use>
                                                </svg>
                                            </a>
                                            <a class="btn btn-info btn-sm float-end" style="margin-right:2px;" href="{{route('admin.faqs.show',$v->id)}}">
                                                <svg class="icon">
                                                    <use xlink:href="{{ asset('backend/icons/free.svg#cil-search') }}"></use>
                                                </svg>
                                            </a>


                                        </td>
                                    </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

@endsection
