@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.notices.index')}}">Notices</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Edit Notices</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>Edit Notices</strong><span class="small ms-1">Notices</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.notices.update',$data->id) }}" method="post" enctype="multipart/form-data">
                            @method('PUT')
                            @csrf
                                <div class="p-3 preview">
                                    <div class="row">
                                        <div class="col-6">
                                            <label class="form-label" for="image">Notice Image<span style="color:red;">*</span></label>
                                            @error('image')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" id="file-upload" type="file" name="image" accept="image/*" @if(@$data->image) data-default-file="{{Storage::url($data->image)}}" @endif/>
                                            @if(@$data->image)
                                            <input name="old_image" type="hidden" value="{{$data->image}}">
                                            @endif
                                        </div>
                                        {{-- <div class="col-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="name">Name</label>
                                                @error('name')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="name" type="text" name="name" placeholder="Full Name" value="{{@$data->name}}">
                                            </div>

                                        </div> --}}
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="title">Title<span style="color:red;">*</span></label>
                                        @error('title')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="title" type="text" name="title" placeholder="Notice Title" value="{{$data->title}}" required="">
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="first_description">First Description</label>
                                        @error('first_description')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <textarea class="form-control" name="first_description" id="first_description" rows="5">{{@$data->first_description}}</textarea>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="second_description">Second Description</label>
                                        @error('second_description')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <textarea class="form-control" name="second_description" id="second_description" rows="5">{{@$data->second_description}}</textarea>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="published_date">Published Date<span style="color:red;">*</span></label>
                                        @error('published_date')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="published_date" type="date" name="published_date" value="{{$data->published_date}}" placeholder='Published Date' required=""/>
                                    </div>
                                    <div class="mb-3">
                                        <label class="form-label" for="sort_order">Sort Order</label>
                                        @error('sort_order')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{@$data->sort_order}}" placeholder="Sorting Order">
                                    </div>
                                    <div class="form-check mb-3">
                                        <label class="form-check-label" for="active">
                                            Publish <span style="color:green;">If checked the notice will be published.</span>
                                        </label>
                                        <input class="form-check-input" name="active" type="checkbox" @if(@$data->active) checked="" @endif value="1" id="active">
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    document.querySelectorAll('textarea').forEach(editor => {
        ClassicEditor
            .create(editor,{
                minHeight: '200px'
            })
            .catch(error => {
                console.error(error);
        });
    });
</script>
@endsection
