@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>QCC User</span>
        </li>
    </ol>
</nav>

@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>@if($action=="Edit")Edit @else Add @endif QCC User</strong><span class="small ms-1">QCC user</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            @if($action=="Edit")
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.qc.update',$data->id) }}" method="post" enctype="multipart/form-data">
                                @method('PUT')
                            @else
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.qc.store') }}" method="post" enctype="multipart/form-data">
                            @endif
                            @csrf
                                <div class="p-3 preview">
                                    <div class="row">
                                        <div class="col-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="username">Username <span style="color:red;">*</span></label>
                                                @error('email')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="username" type="text" name="email" value="{{@$data->email}}" placeholder="Username" >
                                            </div>
                                            <div class="mb-3">
                                                <span > Please remember the password.<br> </span>
                                                <label class="form-label" for="password">Password <span style="color:red;">*</span></label>
                                                @error('password')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="password" type="text" name="password" value="" placeholder="Password" >
                                            </div>
                                        </div>
                                    </div>
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    // document.querySelectorAll('.texteditor').forEach(editor => {
    //     BalloonEditor
    //         .create(editor)
    //         .catch(error => {
    //             console.error(error);
    //     });
    // });
    document.querySelectorAll('textarea').forEach(editor => {
        ClassicEditor
            .create(editor,{
                minHeight: '200px'
            })
            .catch(error => {
                console.error(error);
        });
    });
</script>
@endsection
