@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.services.index')}}">Services</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Add Services</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>Add Services</strong><span class="small ms-1">Services</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.services.store') }}" method="post" enctype="multipart/form-data">
                            @csrf
                            <div class="p-3 preview">
                                <div class="mb-3">
                                    <label class="form-label" for="title">Title</label>
                                    @error('title')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    <input class="form-control" id="title" type="text" name="title" placeholder="File Title" required="" value="{{old('title')}}">
                                </div>
                                <div class="row">
                                    <div class="col-6">
                                        <label class="form-label" for="first_image">First Image<span style="color:red;">*</span></label>
                                        @error('first_image')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" id="file-upload" type="file" name="first_image" accept="image/*" @if(@$data->first_image) data-default-file="{{Storage::url($data->first_image)}}" @endif/>
                                        @if(@$data->first_image)
                                        <input name="old_first_image" type="hidden" value="{{$data->first_image}}">
                                        @endif
                                    </div>
                                    <div class="col-6">
                                        <label class="form-label" for="second_image">Second Image<span style="color:red;">*</span></label>
                                        @error('second_image')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" id="file-upload" type="file" name="second_image" accept="image/*" @if(@$data->second_image) data-default-file="{{Storage::url($data->second_image)}}" @endif/>
                                        @if(@$data->second_image)
                                        <input name="old_second_image" type="hidden" value="{{$data->second_image}}">
                                        @endif
                                    </div>
                                    <div class="col-6">
                                        <label class="form-label" for="third_image">Third Image<span style="color:red;">*</span></label>
                                        @error('third_image')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" id="file-upload" type="file" name="third_image" accept="image/*" @if(@$data->third_image) data-default-file="{{Storage::url($data->third_image)}}" @endif/>
                                        @if(@$data->third_image)
                                        <input name="old_third_image" type="hidden" value="{{$data->third_image}}">
                                        @endif
                                    </div>
                                    <div class="col-6">
                                        <label class="form-label" for="fourth_image">Fourth Image<span style="color:red;">*</span></label>
                                        @error('fourth_image')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="dropify" id="file-upload" type="file" name="fourth_image" accept="image/*" @if(@$data->fourth_image) data-default-file="{{Storage::url($data->fourth_image)}}" @endif/>
                                        @if(@$data->fourth_image)
                                        <input name="old_fourth_image" type="hidden" value="{{$data->fourth_image}}">
                                        @endif
                                    </div>
                                </div>

                                <div class="mb-3">
                                    <label class="form-label" for="first_description">First Description<span style="color:red;">*</span></label>
                                    @error('first_description')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    <textarea class="form-control" name="first_description" id="first_description" rows="3" >{{old('first_description')}}</textarea>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="second_description">Second Description<span style="color:red;">*</span></label>
                                    @error('second_description')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    <textarea class="form-control" name="second_description" id="second_description" rows="3" >{{old('second_description')}}</textarea>
                                </div>
                                <div class="mb-3">
                                    <label class="form-label" for="sort_order">Sort Order</label>
                                    @error('sort_order')
                                        <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                    @enderror
                                    <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{old('sort_order')}}" placeholder="Sorting Order">
                                </div>

                                <div class="form-check mb-3">
                                    <label class="form-check-label" for="active">
                                        Publish <span style="color:green;">If checked the service will be published.</span>
                                    </label>
                                    <input class="form-check-input" name="active" type="checkbox" checked="" value="1" id="active">
                                </div>
                                <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                            </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
<script>
    document.querySelectorAll('textarea').forEach(editor => {
        ClassicEditor
            .create(editor,{
                minHeight: '200px'
            })
            .catch(error => {
                console.error(error);
        });
    });
</script>
@endsection
