@extends('frontend.layouts.master')

@section('content')
<div class="banner gmcs-banner">
    <section class="banner-sec">
        <img src="{{asset('frontend/images/hero-2.jpg')}}" class="img-fluid" alt="">
        <div class="container">
            <nav aria-label="breadcrumb" class="page-menu">
                <h2>Faciliteis & Services</h2>
                <ul class="breadcrumb">
                    <li><a href="index.php">Home</a></li>
                    <li>Faciliteis & Services</li>
                </ul>
            </nav>
        </div>
    </section>
</div>

<div class="gmcs-fs">
    <div class="container">
        <section class="fs-sec">
            @if($facilities)

            <div class="section-intro">
                <div class="section-title">
                    <h3 class="small-title">
                        GJC
                    </h3>
                    <h2>{{$facilities->name}}</h2>
                </div>
                <p>{!! strip_tags($facilities->description) !!}
                </p>
            </div>
            @endif

            <div class="entry-content">
                <div class="row g-5">
                    @foreach($services as $k=>$v)
                    <div class="col-lg-6">
                        <div class="fs-card">
                            <figure>
                                <img src="{{Storage::url($v->first_image)}}" class="img-fluid">
                            </figure>
                            <h3><a href="#">{{$v->title}}</a> </h3>
                            <p>
                                {!!Str::words(strip_tags($v->first_description),25,'...')!!}
                            </p>
                                <a href="{{route('frontend.facility.single',$v->slug)}}" class="page-btn">Read More</a>
                        </div>
                    </div>
                    @endforeach
                    {{-- <div class="col-lg-6">
                        <div class="fs-card">
                            <figure>
                                <img src="images/sif.png" class="img-fluid" alt="">
                            </figure>
                            <h3><a href="#">School Infirmary</a> </h3>
                            <p>Lorem ipsum is placeholder text commonly used in the graphic, print, and publishing
                                industries
                                for previewing layouts and visual mockups.
                            </p>
                                <a href="#" class="page-btn">Read More</a>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="fs-card">
                            <figure>
                                <img src="images/counceling.png" class="img-fluid" alt="">
                            </figure>
                            <h3><a href="#">Counceling Desk</a> </h3>
                            <p>Lorem ipsum is placeholder text commonly used in the graphic, print, and publishing
                                industries
                                for previewing layouts and visual mockups.
                            </p>
                                <a href="#" class="page-btn">Read More</a>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="fs-card">
                            <figure>
                                <img src="images/sports.png" class="img-fluid" alt="">
                            </figure>
                            <h3><a href="#">Sports Facilities</a> </h3>
                            <p>Lorem ipsum is placeholder text commonly used in the graphic, print, and publishing
                                industries
                                for previewing layouts and visual mockups.
                            </p>
                                <a href="#" class="page-btn">Read More</a>
                        </div>
                    </div> --}}
                </div>
            </div>
        </section>
    </div>
</div>
<div class="cta gcms-cta position-relative" style="background:url({{asset('frontend/images/hero-2.jpg')}}) no-repeat center center / cover;">
    <div class="container">
        <section class="cta-sec text-center">
            <div class="section-intro">
                <div class="section-title">
                    <h2 class="text-white">We are progressive, ethical and highly successful.</h2>
                </div>
            </div>
            <a href="{{route('frontend.contact')}}" class="page-btn">Contact Us</a>
        </section>
    </div>
</div>

@endsection
