@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.album.index')}}">Album</a>
        </li>
        <li class="breadcrumb-item active"><span>Edit Album</span></li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
        <div class="card mb-4">
            <div class="card-header"><strong>Edit Album</strong><span class="small ms-1">Edit album</span>
            </div>
            <div class="card-body">
                <div class="tab-content rounded-bottom">
                    <form action="{{ route('admin.album.update',$data->id) }}" method="post" enctype="multipart/form-data">
                        @csrf
                        @method('PUT')
                        <div class="p-3 preview">
                            <div class="mb-3">
                                <label class="form-label" for="Title">Title</label>
                                @error('title'))
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                @enderror
                                <input class="form-control" id="Title" type="text" name="title" value="{{@$data->title}}" placeholder="Album Title">
                            </div>
                            <div class="mb-3">
                                <label class="form-label" for="upload_date">Upload Date</label>
                                @error('upload_date')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                @endif
                                <input class="form-control" id="upload_date" type="date" name="upload_date" value="{{@$data->upload_date}}" placeholder="Upload Date">
                            </div>
                            <div class="mb-3">
                                <label class="form-label" for="sort_order">Sort Order</label>
                                @error('sort_order')
                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                @enderror
                                <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{@$data->sort_order}}" placeholder="Sorting Order">
                            </div>
                            <div class="form-check mb-3">
                                <label class="form-check-label" for="active">
                                    Publish <span style="color:green;">If checked the banner will be published.</span>
                                </label>
                                <input class="form-check-input" name="active" type="checkbox" @if(@$data->active) checked="" @endif value="1" id="active">
                            </div>   
                            <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Update</strong></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')

@endsection
