@extends('backend.layouts.master')

@section('breadcrumbs')
<nav aria-label="breadcrumb">
    <ol class="breadcrumb my-0 ms-2">
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.dashboard')}}">Home</a>
        </li>
        <li class="breadcrumb-item">
            <!-- if breadcrumb is single--><a href="{{route('admin.downloads.index')}}">Downloads</a>
        </li>
        <li class="breadcrumb-item active">
            <!-- if breadcrumb is single--><span>Add Download File</span>
        </li>
    </ol>
</nav>
@endsection

@section('content')
<div class="body flex-grow-1 px-3">
    <div class="container-lg">
        <div class="car"></div>
        <div class="row">
            <div class="col-12">
                <div class="card mb-4">
                    <div class="card-header"><strong>Add Download File</strong><span class="small ms-1">Downloads</span>
                    </div>
                    <div class="card-body">
                        <div class="tab-content rounded-bottom">
                            <form class="dropzone" id="my-dropzone" action="{{ route('admin.downloads.store') }}" method="post" enctype="multipart/form-data">
                            @csrf
                                <div class="p-3 preview">
                                    <div class="row">
                                        <div class="col-6">
                                            <label class="form-label" for="file">Download File<span style="color:red;">*</span></label>
                                            @error('file')
                                                <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                            @enderror
                                            <input class="dropify" id="file-upload" type="file" name="file" @if(@$data->file) data-default-file="{{Storage::url($data->file)}}" @endif/>
                                            @if(@$data->file)
                                            <input name="old_file" type="hidden" value="{{$data->file}}">
                                            @endif
                                        </div>
                                        <div class="col-6">
                                            <div class="mb-3">
                                                <label class="form-label" for="title">Download Category</label>
                                                @error('category_id')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <select class="form-control" id="title" type="text" name="category_id" placeholder="" requried="">
                                                    <option value=''>Select One</option>
                                                    @foreach($category as $k=>$v)
                                                        <option value='{{$v->id}}'>{{$v->title}}</option>
                                                    @endforeach
                                                </select>
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="title">Title</label>
                                                @error('title')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="title" type="text" name="title" placeholder="File Title" required="" value="{{old('title')}}">
                                            </div>
                                            <div class="mb-3">
                                                <label class="form-label" for="uploaded_date">Uploaded Date</label>
                                                @error('uploaded_date')
                                                    <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                                @enderror
                                                <input class="form-control" id="uploaded_date" type="date" name="uploaded_date" placeholder="Uploaded Date" value="{{old('uploaded_date')??date('Y-m-d')}}" required="">
                                            </div>
                                        </div>
                                  
                                    </div>
                                
                                    <div class="mb-3">
                                        <label class="form-label" for="sort_order">Sort Order</label>
                                        @error('sort_order')
                                            <span style="color: red;font-size: 13px;font-style: italic;">{{ $message }}</span>
                                        @enderror
                                        <input class="form-control" id="sort_order" type="number" name="sort_order" value="{{old('sort_order')}}" placeholder="Sorting Order">
                                    </div>

                                    <div class="form-check mb-3">
                                        <label class="form-check-label" for="active">
                                            Publish <span style="color:green;">If checked the banner will be published.</span>
                                        </label>
                                        <input class="form-check-input" name="active" type="checkbox" checked="" value="1" id="active">
                                    </div>                                   
                                    <button type="submit" class="btn btn-primary btn-sm float-start"> <strong>Save</strong></button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

@section('scripts')
@endsection
